from django.contrib import admin

from .models import Message

@admin.register(Message)
class MessageAdmin(admin.ModelAdmin):
    list_display = ["user", "post_date"]
    ordering = ["-post_date"]
    date_hierarchy = "post_date"
    search_fields = ["user", "text"]
    fieldsets = [
        ("Author Information", {
            "fields": ["user"]
            }),
        ("Date Information", {
            "fields": ["post_date"],
            "classes": ["collapse"]
            }),
        ("Message Text", {
            "fields": ["text"]
            })
    ]
    readonly_fields = ["post_date"]