"""message_site URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from board.views import main, new_message, random, get_phrase


urlpatterns = [
	path('', main, name="main"),
	path('add/', new_message, name="add"),
    path('user/', include('django.contrib.auth.urls')),
    path('random/', random, name="random"),
    path('api/getphrase/', get_phrase),
    #path('login/', login_view, name="login"),
    #path('logout/', logout_view, name="logout"),
    path('admin/', admin.site.urls),
]
